<?php
defined('PP_PATH') or exit;
include RUNTIME_CONTROL.'base_control.class.php'; class index_control extends base_control{
	public $_cfg = array();
	public $_var = array();
	public function index() {
		$this->_cfg = $this->runtime->xget();
		$this->_cfg['titles'] = empty($this->_cfg['seo_title']) ? '' : $this->_cfg['seo_title'];
		$this->_var['topcid'] = 0;
		$ishome = 1 ;
		$this->assign('ishome', $ishome);
		$this->assign('pp', $this->_cfg);
		$this->assign('pp_var', $this->_var);
		$GLOBALS['run'] = &$this;
		$_ENV['_theme'] = &$this->_cfg['theme'];
		$this->display('index.htm');
	}
	public function t() {
		$c = R('c');
		$expire	= time() + 86400 * 30;
		if(!empty($c)){
			_setcookie('tcode', $c, $expire);
		}
		header('Location:'.$this->_cfg['weburl']);
	}
}